import { defineComponent, type ExtractPropTypes } from 'vue';
import { createNamespace } from '../utils';

export const demoStyleProps = {};

export type DemoStyleProps = ExtractPropTypes<typeof demoStyleProps>;
const [name, bem] = createNamespace('demo-style');
export default defineComponent({
  name,

  props: demoStyleProps,

  emits: [],

  setup(props, { slots }) {
    return () => <div class={bem()}>{slots.default?.()}</div>;
  },
});
