import { withInstall } from '../utils';
import _DemoStyle from './DemoStyle';

export const DemoStyle = withInstall(_DemoStyle);
export default DemoStyle;

export { demoStyleProps } from './DemoStyle'
export type { DemoStyleProps } from './DemoStyle'

declare module 'vue' {
    export interface GlobalComponents {
        VanDemoStyle: typeof DemoStyle;
    }
}
